//********************* reset
@import "./global/reset.scss";

//********************* global
@import "./global/fonts";
@import "./global/variables";
@import "./global/base";


.twitt {
    &__card-wrapper {
        position: relative;
        width: 600px;
        height: auto;
        margin: 20px auto;
        padding: 5px 20px;
        background-color: $twitt-bg-color;
    }

    &__author{
        width: 50%;
        font-weight: 700;
        font-size: $twitt-author-fz;
        color: $twitt-primary-color;
        line-height: 1;
        // margin-bottom: 10px;
    }
    &__edit-btn{
        position: absolute;
        top: 8px;
        right: 35px;
        width: 20px;
        height: 20px;
        background-color: antiquewhite;
        & img{
            width: 20px;
            height: 20px;
        }
    }
    &__edit-hint{
        display: none;
        position: absolute;
        top: 10px;
        right: 62px;
        color: lightgreen;
    }
    &__edit-save-btn{
        display: none;
        padding: 2px 5px;
        border-radius: 10%;
        background-color: lightgreen;
        color: black;
    }

    &__edit-cancel-btn{
        display: none;
        padding: 2px 5px;
        border-radius: 10%;
        background-color: lightcoral;
        color: whitesmoke;
    }

    &__delete-btn{
        position: absolute;
        top: 8px;
        right: 10px;
        width: 20px;
        height: 20px;
        background-color: antiquewhite;
        & img{
            width: 20px;
            height: 20px;
        }
    }
    &__author-email{
        font-size: $twitt-email-fz;
        color: $twitt-sec-color;
        margin-bottom: 5px;
        letter-spacing: 1px;
    }
    &__title{
        font-weight: 700;
        font-size: $twitt-title-fz;
        color: $twitt-primary-color;
        margin-bottom: 10px;
    }
    &__text{
        font-size: $twitt-text-fz;
        color: $twitt-primary-color;
        margin-bottom: 10px;
    }
}